Plank.DrawingService.load_icon_for_scale – plank Reference Manual

# load_icon_for_scale

## Description:

public static Surface? load_icon_for_scale (string names, int width, int height, int scale)

Loads an icon based on names and the given width/height

## Parameters:

names | a delimited (with ";;") list of icon names, first one found is used
width | the requested width of the icon
height | the requested height of the icon
scale | the implicit requested scale of the icon

## Returns:

the {link Cairo.Surface} containing the requested icon, do not alter this surface